﻿namespace ProjectStormtrooper.Entities;

/// <summary>
/// Класс-сущность "Штурмовик"
/// </summary>
public class EntityStormtrooper: EntityStormtrooperBase
{
   
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия ракет
    /// </summary>
    public bool Rockets { get; private set; }

    /// <summary>
    /// Признак (опция) наличия бомб
    /// </summary>
    public bool Bombs { get; private set; }



    /// <summary>
    /// Инициализация полей объекта-класса штурмовик
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес </param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="rockets">Признак наличия ракет</param>
    /// <param name="bombs">Признак наличия бомб</param>

    public EntityStormtrooper(int speed, double weight, Color bodyColor, Color additionalColor, bool rockets, bool bombs):base(speed, weight, bodyColor)
    {
       
        AdditionalColor = additionalColor;
        Rockets = rockets;
        Bombs = bombs;
        
    }
}

